package com.wanyue.main.bean;

import com.chad.library.adapter.base.entity.MultiItemEntity;
import com.chad.library.adapter.base.entity.SectionEntity;
import com.wanyue.inside.bean.ProjectBean;
import com.wanyue.inside.busniess.InsideConstants;

public class SectionProjectBean extends SectionEntity<ProjectBean> implements  MultiItemEntity {
    public static final int  TYPE_HEAD=1001;  //头部类型
    public static final int  TYPE_PROJECT_COURSE= InsideConstants.TYPE_PROJECT_COURSE;  //课程类型
    public static final int  TYPE_PROJECT_LIVE=InsideConstants.TYPE_PROJECT_LIVE;; //直播类型
    public static final int  TYPE_PROJECT_CONTENT=InsideConstants.TYPE_PROJECT_CONTENT;;//内容类型
    public static final int TYPE_PROJECT_CAMERA =InsideConstants.TYPE_PROJECT_CAMERA ; //套餐类型
    public static final int TYPE_PROJECT_PACKGE =InsideConstants.TYPE_PROJECT_PACKGE ; //套餐类型



    public static final int HEAD_ID_COURSE=1;
    public static final int HEAD_ID_CONTENT=0;
    public static final int HEAD_ID_LIVE=2;
    public static final int HEAD_ID_PACKGE=3;

    public int headerId;
    public int backgroudDrawableId;

    public SectionProjectBean(ProjectBean projectBean) {
        super(projectBean);
    }
    public SectionProjectBean(boolean isHeader, String header,int headerId) {
        super(isHeader, header);
        this.headerId=headerId;
    }

    public int getBackgroudDrawableId() {
        return backgroudDrawableId;
    }

    public void setBackgroudDrawableId(int backgroudDrawableId) {
        this.backgroudDrawableId = backgroudDrawableId;
    }

    @Override
    public int getItemType() {
       int type=t!=null?t.getItemType():TYPE_HEAD;
       return type;
    }
}
